//
//  SULanguageObject.h
//  SpeechTest
//
//  Created by raf on Sat Jan 27 2001.
//  Copyright (c) 2000 Raphael Sebbe. All rights reserved.
//

#import <Foundation/Foundation.h>
//#import <SpeechRecognition/SpeechRecognition.h>
#import <Carbon/Carbon.h>

@class SUGroup;

@interface SULanguageObject : NSObject <NSCoding>
{
    NSString *_name;

    BOOL _optional;
    BOOL _repeatable;
    BOOL _rejectable;
    float _rejectionLevel; /*" between 0.0 and 1.0 "*/
    
    SUGroup *_parent;
}

-initWithName:(NSString*)name;

-(BOOL) isOptional;
-(void) setIsOptional:(BOOL)state;

-(BOOL) isRepeatable;
-(void) setIsRepeatable:(BOOL)state;

-(BOOL) isRejectable;
-(void) setIsRejectable:(BOOL)state;
-(float) rejectionLevel;
-(void) setRejectionLevel:(float)level;

-(void) setParent:(SUGroup*)parent;
-(SUGroup*) parent;

-(void) setName:(NSString*)name;
-(NSString*) name;

-(void) applyPropertiesToLanguageModel:(SRLanguageModel)model;

-(SRLanguageModel) languageModelWithRecognitionSystem:(SRRecognitionSystem)system;
@end
